Skip to main content
Rules

List all rules

Rules can be used to automatically handle or manipulate bank transactions, and are a powerful tool for improving your workflows and the quality of your data.


Rules can be attached to FinancialAccounts or TransferLinks:

GET
/rules
  • When a rule is attached to a financial account, it will be applied to all new transactions as they are fetched from the bank.
  • When a rule is attached to a transfer link, it will be applied to all transactions as they are transferred to their destination.

Rules consist of Conditions and Actions:

  • Conditions are certain criteria that must be met for a rule to be applied. If no conditions are provided, the rule's actions will always be executed.
  • Actions are executed when a rule's conditions are met. Every rule must have at least one action. Every time an action is executed, a new RuleLog is created.

The maximum number of conditions and actions per rule, and the number of rules that can be attached to each financial account or transfer link, depend on your plan. To see more information about plan limits, see the Synci Pricing page.

Note: Account rules (BANK type) can only be attached to bank accounts. For crypto / brokerage accounts, use a Transfer Link rule instead — the destination fields (payee_name, category_id, notes, etc.) work the same way regardless of source.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

page[size]integerquerydefault:25

The number of results that will be returned per page.

page[number]integerquery

The page number to start the pagination from.

filter[trigger_on_any_condition]stringquery

Filter rules by whether only one condition must match for the rule to be applied.

filter[skip_other_rules_when_triggered]stringquery

Filter rules by whether they stop other rules from being processed when triggered.

filter[scope]stringquery

Filter rules by scope, BANK or TRANSFER.

filter[type]stringquery

Filter rules by legacy rule type, for example BANK or YNAB_TRANSFER_LINK. Deprecated: filter by scope instead.

Search for rules by commonly populated fields

Filter rules by transfer link ID. This will return rules that are attached to the specified transfer link.

Example: 759921679862647
filter[financial_account_id]stringquery

Filter rules by financial account ID. This will return rules that are attached to the specified financial account.

Example: 755065161760068
sortenum<string>[]querydefault:["-id"]
includeenum<string>[]query

Response

application/json

Paginated set of RuleResource

dataobject[]required
metaobjectrequired